NTPTRACE(8)

NAME
ntptrace - trace a chain of NTP hosts back to their master time source

SYNOPSIS
ntptrace [ -vdn ] [ -r retries ] [ -t timeout ] [ server ]

DESCRIPTION
Ntptrace determines where a given Network Time Protocol (NTP) server gets its time from, and follows the chain of NTP servers back to their master time source. If given no arguments, it starts with ``localhost.''

Here is an example of the output from ntptrace:
    % ntptrace
    localhost: stratum 4, offset 0.0019529, synch distance 0.144135
    server2.bozo.com: stratum 2, offset 0.0124263, synch distance 0.115784
    usndh.edu: stratum 1, offset 0.0019298, synch distance 0.011993, refid 'WWVB'
On each line, the fields are (left to right): the host name, the host's stratum, the time offset between that host and the local host (as measured by ntptrace; this is why it is not always zero for ``localhost''), the host's ``synchronization distance,'' and (only for stratum-1 servers) the reference clock ID. All times are given in seconds. (Synchronization distance is a measure of the goodness of the clock's time.)

OPTIONS

-d  Turns on some debugging output.

-n  Turns off the printing of host names; instead, host IP addresses are given. This may be necessary if a nameserver is down.

-r retries
    Sets the number of retransmission attempts for each host; default = 5.

-t timeout
    Sets the retransmission timeout (in seconds); default = 2.

-v  Prints verbose information about the NTP servers.

SEE ALSO
xntpd(8), xntpdc(8)

BUGS
This program makes no attempt to improve accuracy by doing multiple samples.